package eu.gaudian.translator.view.exercises

import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.res.stringResource
import eu.gaudian.translator.R
import eu.gaudian.translator.view.composable.AppFabMenu
import eu.gaudian.translator.view.composable.AppIcons
import eu.gaudian.translator.view.composable.FabMenuItem

@Composable
fun ExerciseMenu(
    modifier: Modifier = Modifier,
    onCreateExercise: () -> Unit,
    onCreateYouTubeExercise: () -> Unit,
    onStartExercise: () -> Unit
) {
    val menuItems = listOf(
        FabMenuItem(
            text = stringResource(R.string.label_create_exercise),
            imageVector = AppIcons.Add,
            onClick = onCreateExercise
        ),
        FabMenuItem(
            text = stringResource(R.string.menu_create_youtube_exercise),
            imageVector = AppIcons.Play,
            onClick = onCreateYouTubeExercise
        ),
        FabMenuItem(
            text = stringResource(R.string.label_start_exercise),
            imageVector = AppIcons.Play,
            onClick = onStartExercise
        )

    )

    AppFabMenu(items = menuItems, modifier = modifier)
}